/*
 * uData API
 * uData API
 *
 * OpenAPI spec version: 1.0
 * 
 *
 * NOTE: This class is auto generated by the swagger code generator program.
 * https://github.com/swagger-api/swagger-codegen.git
 * Do not edit the class manually.
 */


package com.asso.ladoxa.datagouv.models;

import com.fasterxml.jackson.annotation.JsonProperty;
import io.swagger.annotations.ApiModelProperty;
import java.time.LocalDateTime;

import java.util.Objects;

/**
 * IssueMessage
 */

public class IssueMessage {
  @JsonProperty("content")
  private String content = null;

  @JsonProperty("posted_by")
  private Object postedBy = null;

  @JsonProperty("posted_on")
  private LocalDateTime postedOn = null;

  public IssueMessage content(String content) {
    this.content = content;
    return this;
  }

   /**
   * The message body
   * @return content
  **/
  @ApiModelProperty(required = true, value = "The message body")
  public String getContent() {
    return content;
  }

  public void setContent(String content) {
    this.content = content;
  }

  public IssueMessage postedBy(Object postedBy) {
    this.postedBy = postedBy;
    return this;
  }

   /**
   * The message author
   * @return postedBy
  **/
  @ApiModelProperty(required = true, value = "The message author")
  public Object getPostedBy() {
    return postedBy;
  }

  public void setPostedBy(Object postedBy) {
    this.postedBy = postedBy;
  }

  public IssueMessage postedOn(LocalDateTime postedOn) {
    this.postedOn = postedOn;
    return this;
  }

   /**
   * The message posting date
   * @return postedOn
  **/
  @ApiModelProperty(required = true, value = "The message posting date")
  public LocalDateTime getPostedOn() {
    return postedOn;
  }

  public void setPostedOn(LocalDateTime postedOn) {
    this.postedOn = postedOn;
  }


  @Override
  public boolean equals(Object o) {
    if (this == o) {
      return true;
    }
    if (o == null || getClass() != o.getClass()) {
      return false;
    }
    IssueMessage issueMessage = (IssueMessage) o;
    return Objects.equals(this.content, issueMessage.content) &&
        Objects.equals(this.postedBy, issueMessage.postedBy) &&
        Objects.equals(this.postedOn, issueMessage.postedOn);
  }

  @Override
  public int hashCode() {
    return Objects.hash(content, postedBy, postedOn);
  }


  @Override
  public String toString() {
    StringBuilder sb = new StringBuilder();
    sb.append("class IssueMessage {\n");

    sb.append("    content: ").append(toIndentedString(content)).append("\n");
    sb.append("    postedBy: ").append(toIndentedString(postedBy)).append("\n");
    sb.append("    postedOn: ").append(toIndentedString(postedOn)).append("\n");
    sb.append("}");
    return sb.toString();
  }

  /**
   * Convert the given object to string with each line indented by 4 spaces
   * (except the first line).
   */
  private String toIndentedString(Object o) {
    if (o == null) {
      return "null";
    }
    return o.toString().replace("\n", "\n    ");
  }

}

